Subject: Re: [PATCH v2] gianfar: Add I/O barriers when touching buffer descriptor ownership.

From: [email-masked] (Linas Vepstas)
Date: Fri, 4 May 2007 17:13:09 -0500

On Wed, May 02, 2007 at 03:40:20PM -0500, Scott Wood wrote:
> 
> Well, Segher doesn't want me to use iobarrier (because it's not I/O). 
> Andy doesn't want me to use wmb() (because it's sync).  I don't think 
> something like gfar_wmb() would be appropriate.  So the remaining 
> options are either eieio(), 

? Just curious... the original intent of eieio was to order I/O, 
such as MMIO; it has no effect on memory that isn't marked 
cache-inhibited or write-trhough or guarded. Has this changed?
I guess I haven't kept up with the times ... is eieio now
being used to provide some other kind of barrier?
Is eieio providing some sort of SMP synchronization side-effect?

Point being: if Segher doesn't let you "use iobarrier (because 
it's not I/O)", then I don't understand why eieio would work (since
that's for io only).  

--linas